GET
/api/account/memberships/{memberId}/payment-methods
const url = 'https://example.com/api/account/memberships/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/account/memberships/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” memberId
required
string format: uuid
Responses
Section titled “ Responses ”OK
Media type application/json
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
memberId
string format: uuid
type
string
brand
string
last4
string
expiryMonth
integer format: int32
expiryYear
integer format: int32
accountName
string
bsb
string
isDefault
boolean
priority
integer format: int32
createdAt
string format: date-time
updatedAt
string format: date-time
Example
[ { "type": "Card" }]Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}